Package com.mckoi.database.interpret

## Class SearchExpression

- java.lang.Object
- - com.mckoi.database.interpret.SearchExpression

All Implemented Interfaces:
  `StatementTreeObject`, `java.io.Serializable`, `java.lang.Cloneable`

    public final class SearchExpression
    extends java.lang.Object
    implements java.io.Serializable, StatementTreeObject, java.lang.Cloneable

Search expression is a form of an Expression that is split up into component parts that can be easily formed into a search query.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SearchExpression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Performs a DEEP clone of this object if it is mutable, or a deep clone of its mutable members.
`Expression` `getFromExpression()` Returns the search expression as an Expression object.
`void` `prepare​(ExpressionPreparer preparer)` Prepares the expression.
`void` `prepareExpressions​(ExpressionPreparer preparer)` Prepares all expressions in this statement tree object by passing the ExpressionPreparer object to the 'prepare' method of the expression.
`void` `setFromExpression​(Expression expression)` Sets this search expression from the given expression.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchExpression

    public SearchExpression()

### Method Detail

#### setFromExpression

    public void setFromExpression​(Expression expression)

Sets this search expression from the given expression.

#### getFromExpression

    public Expression getFromExpression()

Returns the search expression as an Expression object.

#### prepare

    public void prepare​(ExpressionPreparer preparer)
                 throws DatabaseException

Prepares the expression.

Throws:
  `DatabaseException`

#### prepareExpressions

    public void prepareExpressions​(ExpressionPreparer preparer)
                            throws DatabaseException

Description copied from interface: `StatementTreeObject`
Prepares all expressions in this statement tree object by passing the ExpressionPreparer object to the 'prepare' method of the expression.

Specified by:
  `prepareExpressions` in interface `StatementTreeObject`
Throws:
  `DatabaseException`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from interface: `StatementTreeObject`
Performs a DEEP clone of this object if it is mutable, or a deep clone of its mutable members. If the object is immutable then it may return 'this'.

Specified by:
  `clone` in interface `StatementTreeObject`
Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`